Subject: Re: [PATCH v2] t/Makefile: remove 'test-results' on 'make clean'

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Sep 2022 10:52:23 -0700

SZEDER Gábor <[email-masked]> writes:

> The 't/test-results' directory and its contents are by-products of the
> test process, so 'make clean' should remove them, but, alas, this has
> been broken since fee65b194d (t/Makefile: don't remove test-results in
> "clean-except-prove-cache", 2022-07-28).

What I find more disturbing is this is part of "leak check" topic,
and I see no reason why we need to futz with "make clean" rule in
the makefile while extending SANITIZE=leak support.  We really
should yell louder when we see topics that tries to do too much
"while at it" and reject them to minimize the risk of introducing
this kind of breakage.

Will queue.